<?php

	defined('_JEXEC') or die();

	

	/**

		*

		* @package    VirtueMart

		* @subpackage Plugins  - Elements

		* @author Valérie Isaksen

		* @link https://virtuemart.net

		* @copyright Copyright (c) 2004 - 2011 VirtueMart Team. All rights reserved.

		* @license http://www.gnu.org/copyleft/gpl.html GNU/GPL, see LICENSE.php

		* VirtueMart is free software. This version may have been modified pursuant

		* to the GNU General Public License, and as distributed it includes or

		* is derivative of works licensed under the GNU General Public License or

		* other free or open source software licenses.

		* @version $Id$

	*/

	

	defined('DS') or define('DS', DIRECTORY_SEPARATOR);

	if (!class_exists( 'VmConfig' )){

	    require(JPATH_ROOT .'/administrator/components/com_virtuemart/helpers/config.php');

	    VmConfig::loadConfig();

	}

	if (!class_exists('ShopFunctions'))

	require(VMPATH_ADMIN . DS . 'helpers' . DS . 'shopfunctions.php');

	if (!class_exists('VmHtml'))

	require(VMPATH_ADMIN . DS . 'helpers' . DS . 'html.php');

	if (!class_exists('TableCategories'))

	require(VMPATH_ADMIN . DS . 'tables' . DS . 'paymentmethods.php');

	

	

	 jimport('joomla.form.formfield');

	JFormHelper::loadFieldClass('list');

	

	/*

		* This element is used by the menu manager

		* Should be that way

	*/

	class JFormFieldPayonshipvmpayment extends JFormFieldList {

		

		

		var $type = 'payonshipvmpayment';

		protected function getInput() {

			

			VmConfig::loadConfig();

			vmLanguage::loadJLang('com_virtuemart');

			

			$model = VmModel::getModel('paymentmethod');

			$payments = $model->getPayments(); 

			$paymentmethod ='';

			foreach($payments as $key=>$value){

				if($value->published !=0 ){

					$paymentmethod .= '<option value="'.$value->virtuemart_paymentmethod_id.'">'.$value->payment_name.'</option>';

				}

			}

			

			

			

			$name = $this->name;

			if($this->multiple){

				$name = $this->name;

				$this->multiple = ' multiple="multiple" ';

			}

			$id = VmHtml::ensureUniqueId('paymentmethod');

			$html = '<select id="'.$id.'" class="inputbox"   name="' . $name . '" '.$this->multiple.' >';

			if(!$this->multiple)$html .= '';

			$html .=  $paymentmethod;

			$html .= "</select>";

			return $html;

		}

	}

	

	

