<?php
// No direct access
defined( '_JEXEC' ) or die;

/**
 *
 * @package     Joomla.Plugin
 * @subpackage  System.PayOnShip
 * @since       2.5+
 * @author		alekseygen
 */
class plgSystemPayOnShip extends JPlugin{
	/**
	 * Class Constructor
	 * @param object $subject
	 * @param array $config
	 */
	public function __construct( & $subject, $config ){
		parent::__construct( $subject, $config );
		$this->loadLanguage();
	}

	public function onAfterInitialise(){  }

	public function onAfterRoute(){  }

	public function onAfterDispatch(){  }

	public function onBeforeRender(){  }

	function onAfterRender(){  }

	public function onBeforeCompileHead(){		
		if (JRequest::getVar("option") == "com_virtuemart" && JRequest::getVar("view") == "cart") {		    
			$doc = JFactory::getDocument();				
			// Add styles
            //$doc->addStyleSheet(JURI::root(true) . "/plugins/system/payonship/css/payonship.css"); 
			$style = "div.opc_payment_wrap.disabled {color: #ccc; cursor: not-allowed;}.div.opc_payment_wrap.disabled input, div.opc_payment_wrap.disabled label {cursor: not-allowed;}.opc_payment_wrap{display:none;!important}"; 
            $doc->addStyleDeclaration($style);
			// Add Script			
            $doc->addScript(JURI::root(true) . "/plugins/system/payonship/js/payonship.js", $type = 'text/javascript');					
			$anchorString = json_decode($this->params->get("list_anchors"));           
			$anchorString_ship=array();
			$anchorString_pay=array();
			$payonship_arr_got = array();  
			foreach($anchorString as $key => $value) {
			if($key == 'shipmentmet'){
			    $anchorString_ship = $value;
			}
			if($key == 'paymentmet'){
			    $anchorString_pay = $value;
			}			
           }           
			$payonship_arr_got = json_encode(array_combine($anchorString_ship, $anchorString_pay));
			$doc->addScriptDeclaration('
			Virtuemart.PayOnShip = '.$payonship_arr_got.';			
            if (typeof (jQuery.livequery) != "function") {	            
                document.write(unescape("%3Cscript src=\"'.JURI::root(true) . '/plugins/system/payonship/js/jquery.livequery.min.js\" %3E%3C/script%3E"));
            }				
            ', $type = 'text/javascript');				
		}
	}
}
